{
  description = "";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  };

  outputs = { self, nixpkgs }:
    let
      overlays = [];
      system = "x86_64-linux";
      pkgs = import nixpkgs {
        inherit system overlays;
      };
      meta = with nixpkgs.lib; {
        #homepage = "https://example.com";
        #license = [ licenses.gpl3 ];
        platforms = [ system ];
        #maintainers = with maintainers; [ ];
      };
    in {
      devShells.${system}.default = with pkgs; mkShell {
        #packages = [];
        inputsFrom = with self.packages.${system}; [ helloworld ];
      };
      packages.${system} = {
        default = self.packages.${system}.helloworld;
        helloworld = pkgs.ocamlPackages.buildDunePackage rec {
          pname = "helloworld";
          version = "0.1.0";
          src = ./.;
          inherit meta;
        };
      };
    };
}
